Bug 1907660 - Pod list does not render cell height correctly when pod names are too long (dynamic table rerendering issue?)
Summary: Pod list does not render cell height correctly when pod names are too long (d...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Debsmita Santra
QA Contact: spathak@redhat.com
URL:
Whiteboard:
: 1911223 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-14 23:44 UTC by Christoph Jerolimov
Modified: 2021-02-24 15:44 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:43:42 UTC
Target Upstream Version:


Attachments (Terms of Use)
Correct line height after typing something into the search field (85.03 KB, image/png)
2020-12-14 23:46 UTC, Christoph Jerolimov
no flags Details
Invalid line height after open the search with all Pod resources (106.93 KB, image/png)
2020-12-14 23:47 UTC, Christoph Jerolimov
no flags Details
Line height issue (gif) (241.95 KB, image/gif)
2020-12-14 23:48 UTC, Christoph Jerolimov
no flags Details
Pod list does render cell height correctly when pod names are too long (125.35 KB, image/png)
2021-01-19 05:40 UTC, spathak@redhat.com
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7821 0 None closed Bug 1907660: Render pod list cell height correctly when pod names are long 2021-01-18 06:15:26 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:44:00 UTC

Description Christoph Jerolimov 2020-12-14 23:44:55 UTC
Description of problem:
When searching for Pods or open the Pod list with "really long pod names" the list looks broken for some seconds (> 5 seconds sometimes). Looks like it requires an additional rerendering to fix this?! See attached gif.

Version-Release number of selected component (if applicable):
4.7 master dev build (commit c5c95818e0369d114252b6747f8c8d8370946c0a)

How reproducible:
Always

Steps to Reproduce:
1. Create some pods with "really long names" (> 40 characters to break in two lines in the pod list)
2. Open the search and search for resource type "Pod"

Actual results:
1. The cell/line height of the pod list doesn't update after all data are already loaded. See attached screenshot and gif.
2. When typing something to the search filter it looks like it trigger a re-rendering which fixes the cell/line heights.

Expected results:
Cell / line height should be match the content height right after showing the data without the requirement to trigger a re-rendering manually.

Additional info:
None

Comment 1 Christoph Jerolimov 2020-12-14 23:46:32 UTC
Created attachment 1739190 [details]
Correct line height after typing something into the search field

Comment 2 Christoph Jerolimov 2020-12-14 23:47:15 UTC
Created attachment 1739191 [details]
Invalid line height after open the search with all Pod resources

Comment 3 Christoph Jerolimov 2020-12-14 23:48:30 UTC
Created attachment 1739192 [details]
Line height issue (gif)

Comment 4 Robb Hamilton 2020-12-15 14:55:00 UTC
This is definitely an issue with table row virtualization since a re-render resolves the issue.  Unfortunately, diagnosing and fixing it is very difficult as reproducing the conditions under which it occurs is elusive.  I created a dev build of c5c95818e0369d114252b6747f8c8d8370946c0a, but could never reproduce using Chrome 87.0.4280.88 on MacOS.  I will leave the bug open to see if it reproduces over time, but will lower the severity.

Comment 5 Robb Hamilton 2020-12-15 15:09:39 UTC
It looks like a consistent reproducer is to change the Project using the Project dropdown, so I'm setting the severity back to medium.

Comment 6 Robb Hamilton 2020-12-17 14:18:05 UTC
When the bug occurs, it appears the first time CellMeasurer runs, it gets a height of zero (because I assume the row contents haven’t rendered) and therefore falls back to the min height of 44.  If, for whatever reason, a second render occurs, the bug is remediated.  As best I can tell, this is only occurring on the Pods table.  That could be either due to the number of columns or column management or both?  I've reached out to Joe Caiani for an assist with debugging since Joe implemented the column management feature.

Comment 7 Robb Hamilton 2020-12-18 14:39:07 UTC
Reassigning to Debsmita as it appears changes in https://github.com/openshift/console/commit/d8999898eb5a393574da0a3e42c75c74c74b34dc#diff-88910eaad88244e5a1a05c0af91ff4e2691f9b916abf4a77575db876414b1b15 are the cause of the bug.  Debsmita, the bug easily reproduces on the Nodes list page.

Comment 8 Jakub Hadvig 2020-12-23 16:07:25 UTC
We did not have time to fix this issue this sprint. Will reevaluate and try to fix in next sprint.

Comment 9 Jakub Hadvig 2021-01-04 09:02:06 UTC
*** Bug 1911223 has been marked as a duplicate of this bug. ***

Comment 11 spathak@redhat.com 2021-01-19 05:40:32 UTC
Created attachment 1748627 [details]
Pod list does render cell height correctly when pod names are too long

Comment 12 spathak@redhat.com 2021-01-19 05:43:22 UTC
Verified on build version: 4.7.0-0.nightly-2021-01-18-214951
Browser version: Chrome 84

Comment 15 errata-xmlrpc 2021-02-24 15:43:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.